Bug 828055 - scalable app gear down after created on stage
scalable app gear down after created on stage
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Rob Millner
libra bugs
: Regression
Depends On:
  Show dependency treegraph
Reported: 2012-06-04 03:11 EDT by Meng Bo
Modified: 2015-05-14 18:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-08 13:59:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2012-06-04 03:11:02 EDT
Description of problem:
create a scalable app and try to access it via browser, it will redirect to /haproxy-status/ page and show gear is down.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.create scalable app
Actual results:
app gear down directly after created.

Expected results:
gears should be up, and app home page can be accessed.

Additional info:
this issue cannot be reproduced on both devenv-stage_200 and INT env
Comment 1 Rob Millner 2012-06-04 13:19:52 EDT
$ grep libra_server ~/.openshift/express.conf

$ rhc app create -p [hidden] -a scalejboss -t jbossas-7 -s
Creating application: scalejboss in rmstg
Now your new domain name is being propagated worldwide (this might take a minute)...
    retry # 4 - Waiting for DNS: scalejboss-rmstg.stg.rhcloud.com
Warning: Permanently added 'scalejboss-rmstg.stg.rhcloud.com,' (RSA) to the list of known hosts.
Confirming application 'scalejboss' is available:  Success!

scalejboss published:  http://scalejboss-rmstg.stg.rhcloud.com/
git url:  ssh://1110d509273349e6ba12dfa7d6bac7e3@scalejboss-rmstg.stg.rhcloud.com/~/git/scalejboss.git/
Successfully created application: scalejboss

Accessing haproxy shows the gear is up:

Accessing the app shows the welcome page:

Suspect this is due to hitting one of the numerous timeouts we have baked into the system while stg was under a heavy load.
Comment 2 Rob Millner 2012-06-04 22:16:51 EDT
Still unable to reproduce this problem.

An issue related to scalable applications that only affected stg and prod was resolved as part of bugzilla ticket 828038.  I believe it also resolved the underlying cause for this problem.

Passing back to Q/A to see if it can still be reproduced or if it was fixed as a result of fixing 828038.
Comment 3 Meng Bo 2012-06-05 07:18:00 EDT
verified on today's stage, issus has been fixed.

Note You need to log in before you can comment on or make changes to this bug.